# Ogre::CgProgramFactory Class Reference

Factory class for Cg programs. More...

`#include <OgreCgProgramFactory.h>`

Inheritance diagram for Ogre::CgProgramFactory:

List of all members.

## Public Member Functions

| CgProgramFactory ()
| ~CgProgramFactory ()
const String & | getLanguage (void) const
| Get the name of the language this factory creates programs for.
HighLevelGpuProgram * | create (ResourceManager *creator, const String &name, ResourceHandle handle, const String &group, bool isManual, ManualResourceLoader *loader)
void | destroy (HighLevelGpuProgram *prog)

## Protected Attributes

CGcontext | mCgContext

## Detailed Description

Factory class for Cg programs.

Definition at line 34 of file OgreCgProgramFactory.h.

## Constructor & Destructor Documentation

Ogre::CgProgramFactory::CgProgramFactory | ( |  | ) |

Ogre::CgProgramFactory::~CgProgramFactory | ( |  | ) |

## Member Function Documentation

HighLevelGpuProgram* Ogre::CgProgramFactory::create | ( | ResourceManager * | creator,
|  | const String & | name,
|  | ResourceHandle | handle,
|  | const String & | group,
|  | bool | isManual,
|  | ManualResourceLoader * | loader
| ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory.

void Ogre::CgProgramFactory::destroy | ( | HighLevelGpuProgram * | prog | ) | `[virtual]`

| Implements Ogre::HighLevelGpuProgramFactory.

const String& Ogre::CgProgramFactory::getLanguage | ( | void |  | ) | const`[virtual]`

| Get the name of the language this factory creates programs for. Implements Ogre::HighLevelGpuProgramFactory.

## Member Data Documentation

CGcontext Ogre::CgProgramFactory::mCgContext `[protected]`

| Definition at line 37 of file OgreCgProgramFactory.h.

The documentation for this class was generated from the following file:

- OgreCgProgramFactory.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:05:45 2006